Create member

Prev Next

Available in Classic and VPC

Create a member. Once a member is created, an invitation email is sent to their email address for verification and to set their account password.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /ncloudmcc/v1/companies/{companyId}/users/{externalKey}

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key
externalKey String Required Member external key
  • Separator to identify member

Request body

You can include the following data in the body of your request:

Field Type Required Description
name String Required Member name
i18nNames Object Optional Member multilingual name
i18nNames.{locale} String Optional Member name by language
  • Enter in the "Language code": "Value" format.
  • Supported language codes: ko_KR | ja_JP | en_US
  • Example: "ko_KR": "홍길동", "en_US": "Hong Gil Dong"
deptExternalKey String Optional Department external key
jobGradeExternalKey String Optional Job title external key
jobPositionExternalKey String Optional Job position external key
emailAddr String Required Email address (login ID)
  • Once a member is created with the specified email address, it can't be changed.
telNo String Optional Phone number
  • Enter in the {ISO 3166-1 country code}+{E.164 country number} {Phone number} format
  • Example: KR+82 0212345678
cphNo String Optional Mobile phone number
  • Enter in the {ISO 3166-1 country code}+{E.164 country number} {Phone number} format
  • Example: KR+82 01012345678
localeTypeCd String Optional Locale code
  • ko_KR | ja_JP | en_US
tmznTypeCd String Optional Time zone code: Time zone code

Time zone codes

The time zone codes are as follows:

Code Description
Pacific/Midway GMT-11:00(MidwayIsland, Samoa)
Pacific/Honolulu GMT-10:00(Hawaii)
Pacific/Marquesas GMT-09:30(Marquesas)
America/Anchorage GMT-09:00(Alaska)
America/Los_Angeles GMT-08:00(PacificTime)
America/Denver GMT-07:00(MountainTime_US/Canada)
America/Chicago GMT-06:00(CentralTime_US/Canada)
America/New_York GMT-05:00(EasternTime_US/Canada)
America/Caracas GMT-04:30(Caracas)
America/Santiago GMT-04:00(Santiago)
America/St_Johns GMT-03:30(Newfoundland)
America/Sao_Paulo GMT-03:00(SaoPaulo)
America/Noronha GMT-02:00(Mid-Atlantic)
Atlantic/Azores GMT-01:00(Azores)
Europe/London GMT+00:00(GreenwichMeanTime_London)
Europe/Berlin GMT+01:00(Amsterdam,Berlin, Vienna)
Europe/Athens GMT+02:00(Athens, Cairo)
Asia/Baghdad GMT+03:00(Moscow, Baghdad)
Asia/Tehran GMT+03:30(Tehran)
Asia/Baku GMT+04:00(Baku, Muscat)
Asia/Karachi GMT+05:00(Karachi)
Asia/Colombo GMT+05:30(NewDelhi,Mumbai, Colombo)
Asia/Katmandu GMT+05:45(Katmandu)
Asia/Dhaka GMT+06:00(Astana, Dhaka)
Asia/Rangoon GMT+06:30(Rangoon)
Asia/Bangkok GMT+07:00(Bangkok, Hanoi,Jakarta)
Asia/Shanghai GMT+08:00(Beijing,Dalian, Singapore, Taiwan)
Asia/Seoul GMT+09:00(Seoul)
Asia/Tokyo GMT+09:00(Tokyo, Fukuoka)
Australia/Darwin GMT+09:30(Darwin,Adelaide)
Australia/Sydney GMT+10:00(Guam,Canberra, Sydney)
Australia/Lord_Howe GMT+10:30(LordHoweIsland)
Pacific/Noumea GMT+11:00(NewCaledonia)
Pacific/Norfolk GMT+11:30(NorfolkIsland)
Pacific/Auckland GMT+12:00(Auckland,Fiji)

Request example

The request example is as follows:

curl --location --request POST 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/users/hg-user001' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Gildong Hong",
    "i18nNames": {
        "ko_KR": "홍길동",
        "en_US": "Hong Gil Dong"
    },
    "deptExternalKey": "hg-tw-cd",
    "jobGradeExternalKey": "hg-grade-4",
    "jobPositionExternalKey": "hg-pstn-6",
    "emailAddr": "gdong@ncloud.com",
    "telNo": "KR+82 021234567",
    "cphNo": "KR+82 01012345678",
    "localeTypeCd": "ko_KR",
    "tmznTypeCd": "Asia/Seoul"
}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

If the response is successful, the member is created along with the message 201 Created.